Appearance
Revoke an operator API key ​
http
DELETE https://api.onehazel.com/platform-api/operators/{operatorId}/api-keys/{keyId}Section: Platform partners
Operation id: deletePlatformApiOperatorsByOperatorIdApiKeysByKeyId
Authentication ​
Platform partner key (oh_platform_...) or a signed-in platform session token, as a bearer token.
Parameters ​
| Name | In | Required | Description |
|---|---|---|---|
operatorId | path | yes | |
keyId | path | yes |
Responses ​
200 { "success": true, "data": ... }
Errors return { "success": false, "error": { "code": "...", "message": "..." } } with a 4xx or 5xx status.
Example ​
bash
curl -X DELETE "https://api.onehazel.com/platform-api/operators/{operatorId}/api-keys/{keyId}" \
-H "Authorization: Bearer oh_platform_YOUR_KEY"Machine-readable: openapi.yaml, openapi.json.